%define fullversion 2.6.15-060110

Summary: Enhanced IP routing and network devices configuration tools
Name:    iproute
Version: 2.6.15
Release: 1tr
Group: Trustix Official
Source:  http://developer.osdl.org/dev/iproute2/download/iproute2-%{fullversion}.tar.gz
License: GPL
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: db4-devel
Provides: iproute-doc
Obsoletes: iproute-doc

%description
Linux 2.2 maintains compatibility with the basic configuration utilities of
the network (ifconfig, route) but a new utility is required to exploit the new
characteristics and features of the kernel. This package includes the new
utilities (/sbin/ip, /sbin/rtmon).

%package arpd
Summary: Userspace ARP Daemon
Group: Trustix Official

%description arpd
Userspace ARP Daemon from iproute2 suite

%prep
%setup -q -n iproute2-%{fullversion}

%build
make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

# fixup some files
install -m 755 -d $RPM_BUILD_ROOT/sbin
mv $RPM_BUILD_ROOT/usr/sbin/ifcfg $RPM_BUILD_ROOT/sbin
mv $RPM_BUILD_ROOT/usr/sbin/ip $RPM_BUILD_ROOT/sbin
mv $RPM_BUILD_ROOT/usr/sbin/rtmon $RPM_BUILD_ROOT/sbin
mv $RPM_BUILD_ROOT/usr/sbin/tc $RPM_BUILD_ROOT/sbin

# create missing arpd directory
mkdir -p $RPM_BUILD_ROOT/var/lib/arpd

# pack doc via %doc tag
rm -rf $RPM_BUILD_ROOT/usr/share/doc/

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,0755)
%doc README.decnet README.distribution README.iproute2+tc 
%doc README.lnstat RELNOTES COPYING ChangeLog
# most docs are tex or sgml, so drop them..
%doc doc/actions examples

%dir /etc/iproute2
%config(noreplace) /etc/iproute2/*
/sbin/*
/usr/sbin/*
%exclude /usr/sbin/arpd
%{_libdir}/*
%{_mandir}/man3/*
%{_mandir}/man8/*

%files arpd
%defattr(-,root,root,0755)
/usr/sbin/arpd
%dir /var/lib/arpd

%changelog
* Thu Feb 02 2006 Nived Gopalan <nived at trustix dot org> 2.6.15-1tr
- New Upstream.

* Thu Nov 10 2005 Nived Gopalan <nived at trustix dot org> 2.6.14-1tr
- New upstream, specfile cleanup proposed by Olaf Rempel.
- Removed tex/sgml doc from rpm
- Moved arpd to subpackage

* Mon Jul  4 2005 Hasher Jamaludeen <hasher at comodo dot com> 2.6.9-5tr
- Created working directory for arpd /var/lib/arpd/. Bug #1020 .

* Tue Jun 07 2005 Syed Shabir Zakiullah <syedshabir at comodo dot com> 2.6.11-4tr
- Added makefile patch to fix building issues with gcc-3.4.4

* Mon Apr 25 2005 Ajith Thampi <ajith at comodo dot com> 2.6.11-2tr
- Rebuilt on db-4.3.27

* Thu Apr 05 2005 Thushara Gopalakrishnan <thushara at comodo dot com> 2.6.11-1tr
- New upstream

* Wed Mar 16 2005 Thushara Gopalakrishnan <thushara at comodo dot com> 2.6.9-4tr
- Rebuilt

* Wed Feb 02 2005 Ajith Thampi <ajith at comodo dot com> 2.6.9-3tr
- Rebuild for db-4.2.52

* Thu Jan  6 2005 Erlend Midttun <erlendbm at trustix dot com> 2.6.9-2tr
- Now make /etc/iproute2/* config(noreplace).

* Sat Oct 30 2004 Olaf Rempel <razzor at kopf minus tisch dot de> 2.6.9-1tr
- New upstream, added compile fix from LARTC maillist (patch1)

* Fri Sep 24 2004 Syed Shabir <syedshabir at comodo dot com> 2.4.7-11tr
- Added patch for Fixing missing diffserv and atm support in config
- Added patch for Secutiry errata for netlink (CAN-2003-0856)
 
* Fri Dec 12 2003 Erlend Midttun <erlendbm at trustix dot com> 2.4.7-8tr
- Big rebuild

* Sun Nov  2 2003 Goetz Bock <bg at trustix dot org> 2.4.7-7bg
- added HTP support to tc (patch4)
- added infrastructure to split doc/man into own sub package

* Thu Jul  3 2003 Erlend Midttun <erlendbm at trustix dot com> 2.4.7-6tr
- Big rebuild

* Wed Jul  2 2003 Goetz Bock <bock at trustix dot org> 2.4.7-5bg
- added manpages (patch3)
- added some fixes (patch2)

* Wed Jun 18 2003 Erlend Midttun <erlendbm at trustix dot com> 2.4.7-4tr
- Big rebuild

* Mon Mar 24 2003 Erlend Midttun <erlendbm at trustix dot com> 2.4.7-3em
- Rebuilt against glibc 2.3.2.

* Mon Nov 11 2002 Erlend Midttun <erlendbm at trustix dot com> 2.4.7-2ne
- Moved include files.

* Wed Aug 28 2002 Nico Erfurth <masta at trustix dot org> 2.4.7-1ne
- New Upstream version
- Added routel, routef to the filelist
- Added default configfiles

* Wed Aug 28 2002 Nico Erfurth <masta at trustix dot org> 2.2.4-5ne
- Added DEFINES to build to make it build on cloud and kernel 2.4

* Thu Jun 14 2001 Oystein Viggen <oysteivi at trustix dot com>
- No use stripping a script file (ifcfg)

* Tue May 30 2000 Erlend Midttun <erlendbm at trustix dot com>
- Removed the creation of ps files

* Mon Sep 13 1999 Bill Nottingham <notting@redhat.com>
- strip binaries

* Mon Aug 16 1999 Cristian Gafton <gafton@redhat.com>
- first build
